Skip to main content
PATCH
/
tools
/
{toolId}
Update Tool
curl --request PATCH \
  --url https://eu-cloudflare.vg-stuff.com/tools/{toolId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "tool": {
    "name": "<string>",
    "description": "<string>",
    "isDefault": true,
    "method": "GET",
    "serverUrl": "<string>",
    "serverUrlSecret": "<string>",
    "disabled": true,
    "isVapiTool": true,
    "vapiId": "<string>",
    "isGlobal": true,
    "variablesIds": [
      "<string>"
    ],
    "toolsSettings": "<unknown>",
    "fields": [
      {
        "in": "<string>",
        "type": "string",
        "value": "<unknown>",
        "defaultValue": "<unknown>",
        "key": "<string>",
        "description": "<string>",
        "required": true,
        "reusable": true,
        "isEnv": true,
        "isSystem": true,
        "isGlobal": true,
        "agentId": "<string>",
        "userId": "<string>",
        "id": "<string>"
      }
    ],
    "channels": [
      "web-chat"
    ]
  }
}
'
{
  "success": true,
  "message": "<string>",
  "data": {
    "id": "<string>",
    "name": "<string>",
    "description": "<string>",
    "isDefault": true,
    "method": "GET",
    "serverUrl": "<string>",
    "serverUrlSecret": "<string>",
    "createdAt": "<string>",
    "updatedAt": "<string>",
    "disabled": true,
    "isVapiTool": true,
    "vapiId": "<string>",
    "isGlobal": true,
    "variablesIds": [
      "<string>"
    ],
    "agentId": "<string>",
    "userId": "<string>",
    "backchannellingPhrases": [
      "<string>"
    ],
    "toolsSettings": "<unknown>",
    "fields": [
      {
        "id": "<string>",
        "in": "<string>",
        "type": "string",
        "value": "<unknown>",
        "defaultValue": "<unknown>",
        "key": "<string>",
        "description": "<string>",
        "required": true,
        "reusable": true,
        "isEnv": true,
        "isSystem": true,
        "isGlobal": true,
        "agentId": "<string>",
        "userId": "<string>"
      }
    ],
    "channels": [
      "web-chat"
    ]
  }
}

Example Request

{
  "tool": {
    "name": "Updated Tool Name",
    "description": "Updated description for the AI",
    "disabled": false
  }
}
Uses partial updates - only provided fields are changed. Other fields remain unchanged.
Set disabled: true to temporarily disable a tool without deleting it.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

toolId
string
required

Body

application/json
tool
object
required

Response

Successful response

success
boolean
required
message
string
required
data
object
required